groovy.model

## Class ValueHolder

- java.lang.Object
- - groovy.model.ValueHolder

- All Implemented Interfaces:
    ValueModel

  Deprecated.

      @Deprecated
      public class ValueHolder
      extends Object
      implements ValueModel

  A simple ValueModel implementation which is a holder of an object value. Used to share local variables with closures

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValueHolder()` Deprecated.
    `ValueHolder(Class type)` Deprecated.
    `ValueHolder(Object value)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Deprecated. Add a PropertyChangeListener to the listener list.
    `Class` | `getType()` Deprecated.
    `Object` | `getValue()` Deprecated.
    `boolean` | `isEditable()` Deprecated.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Deprecated. Removes a PropertyChangeListener from the listener list.
    `void` | `setEditable(boolean editable)` Deprecated.
    `void` | `setValue(Object value)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ValueHolder

          public ValueHolder()

      Deprecated.

    - #### ValueHolder

          public ValueHolder(Class type)

      Deprecated.

    - #### ValueHolder

          public ValueHolder(Object value)

      Deprecated.

  - ### Method Detail

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Deprecated.
      Add a PropertyChangeListener to the listener list.
      Parameters:
        `listener` - The listener to add.

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Deprecated.
      Removes a PropertyChangeListener from the listener list.
      Parameters:
        `listener` - The listener to remove.

    - #### getValue

          public Object getValue()

      Deprecated.
      Specified by:
        `getValue` in interface `ValueModel`

    - #### setValue

          public void setValue(Object value)

      Deprecated.
      Specified by:
        `setValue` in interface `ValueModel`

    - #### getType

          public Class getType()

      Deprecated.
      Specified by:
        `getType` in interface `ValueModel`

    - #### isEditable

          public boolean isEditable()

      Deprecated.
      Specified by:
        `isEditable` in interface `ValueModel`

    - #### setEditable

          public void setEditable(boolean editable)

      Deprecated.